OutputContainer (base API)
Date: 2019-04-05

com.twosigma.beakerx.jvm.object

## Class OutputContainer

- java.lang.Object
- - com.twosigma.beakerx.jvm.object.OutputContainer

- All Implemented Interfaces:
    com.twosigma.beakerx.widget.DisplayableWidget
  Direct Known Subclasses:
    OutputContainerCell

      public class OutputContainer
      extends java.lang.Object
      implements com.twosigma.beakerx.widget.DisplayableWidget

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `OutputContainer.CellVisitor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.slf4j.Logger` | `LOGGER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutputContainer()`
    `OutputContainer(java.util.List<java.lang.Object> items)`
    `OutputContainer(java.util.List<java.lang.Object> items, java.util.List<java.lang.String> labels)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addItem(java.lang.Object item)`
    `void` | `addItem(java.lang.Object item, int index)`
    `void` | `addItem(java.lang.Object item, int index, java.lang.String label)`
    `void` | `addItem(java.lang.Object item, java.lang.String label)`
    `void` | `display()`
    `java.util.List<java.lang.Object>` | `getItems()`
    `java.util.List<java.lang.String>` | `getLabels()`
    `OutputContainerLayoutManager` | `getLayoutManager()`
    `OutputContainer` | `leftShift(java.lang.Object item)`
    `void` | `removeItem(int index)`
    `void` | `removeItem(java.lang.Object itemToRemove)`
    `void` | `setLayoutManager(OutputContainerLayoutManager layoutManager)`
    `void` | `visit(OutputContainer.CellVisitor visitor)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOGGER

          public static final org.slf4j.Logger LOGGER

  - ### Constructor Detail

    - #### OutputContainer

          public OutputContainer()

    - #### OutputContainer

          public OutputContainer(java.util.List<java.lang.Object> items)

    - #### OutputContainer

          public OutputContainer(java.util.List<java.lang.Object> items,
                                 java.util.List<java.lang.String> labels)

  - ### Method Detail

    - #### addItem

          public void addItem(java.lang.Object item)

    - #### addItem

          public void addItem(java.lang.Object item,
                              int index)

    - #### addItem

          public void addItem(java.lang.Object item,
                              int index,
                              java.lang.String label)

    - #### addItem

          public void addItem(java.lang.Object item,
                              java.lang.String label)

    - #### removeItem

          public void removeItem(int index)

    - #### leftShift

          public OutputContainer leftShift(java.lang.Object item)

    - #### removeItem

          public void removeItem(java.lang.Object itemToRemove)

    - #### getItems

          public java.util.List<java.lang.Object> getItems()

    - #### getLabels

          public java.util.List<java.lang.String> getLabels()

    - #### visit

          public void visit(OutputContainer.CellVisitor visitor)

    - #### getLayoutManager

          public OutputContainerLayoutManager getLayoutManager()

    - #### setLayoutManager

          public void setLayoutManager(OutputContainerLayoutManager layoutManager)

    - #### display

          public void display()

      Specified by:
        `display` in interface `com.twosigma.beakerx.widget.DisplayableWidget`